#ifndef IEC_H
#define IEC_H

//jobs
#define IEC_IDLE                   0x00
#define IEC_TALK                   0x40
#define IEC_LISTEN                 0x20
#define IEC_UNTALK                 0x50
#define IEC_UNLISTEN               0x30

//secondary address
#define IEC_DATA                   0x60
#define IEC_OPEN                   0xf0
#define IEC_CLOSE                  0xe0

#define IEC_OK                     0x00
#define IEC_READ                   0x00
#define IEC_WRITE                  0x01
#define IEC_TIMEOUT                0x02
#define IEC_EOF                    0x40

#define IEC_ERROR_CHANNEL          0x0f

#endif /* IEC_H */
