//convert to ascii and petscii

#include "includes.h"
#include "petscii_funcs.h"

static void ascii2petscii_char(char* c) {
    if(*c>0x60 && *c<=0x7a) *c^=0x20;
    else if (*c>0x40 && *c<=0x5a) *c^=0x80;
}

static void petscii2ascii_char(char* c) {
    if((uint8_t)*c>0xc0 && (uint8_t)*c<=0xda) *c^=0x80;
    else if (*c>0x40 && *c<=0x5a) *c^=0x20;
}

void ascii2petscii(char* c) {
    while(*c) {
        ascii2petscii_char(c);
        c++;
    }
}

void petscii2ascii(char* c) {
    while(*c) {
        petscii2ascii_char(c);
        c++;
    }
}
